Draft Upgrade/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "Příklad:")
(Updating to match new version of source page)
(24 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Draft Upgrade|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Upgrade|Shortcut=U P|SeeAlso=[[Draft Downgrade]]}}
{{Docnav
|[[Draft_Split|Split]]
|[[Draft_Downgrade|Downgrade]]
|[[Draft_Module|Draft]]
|IconL=Draft_Split.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Downgrade.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Draft Upgrade|Name/cs=Kreslení Vylepšení|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení → Aktualizace|Shortcut=U P|SeeAlso=[[Draft Downgrade/cs|Kreslení Degradace]]}}
</div>

==Popis==

<div class="mw-translate-fuzzy">
Tento nástroj vylepší vybrané objekty jiným způsobem. Není-li vybrán žádný objekt budete vyzváni k jeho výběru.
</div>


The Upgrade tool performs things such as creating faces and fusing different elements. This tool works with 2D Draft elements. To fuse 3D solids use [[Part Union]] and related Boolean operations of the [[Part Workbench]], and [[PartDesign Boolean]] of the [[PartDesign Workbench]].
==Description==


The counterpart to this tool is the {{Button|[[Image:Draft Downgrade.svg|16px]] [[Draft Downgrade|Draft Downgrade]]}} operation.
Tento nástroj aktualizuje vybrané objekty jiným způsobem. není-li vybrán žádný objekt budete vyzváni k jeho výběru.


[[Image:Draft_Upgrade_example.jpg|400px]]
[[Image:Draft_Upgrade_example.jpg|400px]]
{{Caption|Open wire upgraded to a closed wire, then to a face; a closed square upgraded to a face, and then fused with the previous face}}


==Použití==
==Použití==


<div class="mw-translate-fuzzy">
# Vyberte jeden nebo více objektů, které chcete aktualizovat
# Vyberte jeden nebo více objektů, které chcete vylepšit
# Stiskněte tlačítko {{KEY|[[Image:Draft Upgrade.png|16px]] [[Draft Upgrade/cs|Kreslení Aktualizace]]}} nebo stiskněte klávesy {{KEY|U}} a potom {{KEY|P}}
# Stiskněte tlačítko {{KEY|[[Image:Draft Upgrade.png|16px]] [[Draft Upgrade/cs|Kreslení Vylepšení]]}} nebo stiskněte klávesy {{KEY|U}} a potom {{KEY|P}}
</div>

The selected objects are modified or upgraded according to the following conditions, in order:
# If there are more than one face in the selection, the faces are merged (union).
# If there is only one face in the selection, nothing is done.
# If there is only one open wire in the selection, it gets closed, making a face.
# If there are only edges in the selection, all edges are joined into a wire, and the wire is closed if possible.
# If none of the above is possible, a compound object is created.

It is worth trying to upgrade a selection several times to see if a better shape is obtained. For example:
# Upgrading two [[Draft Line]]s connected at one end will result in a non-editable wire.
# Upgrading this element again will add a third line and close the non-editable wire.
# Upgrading this element again will add a face to the closed, non-editable wire.
# Upgrading this element again will turn it into a [[Draft Wire]], which can be fully edited, and all its properties modified.

The resulting wire can be better manipulated than the original lines. The fusion of single lines can also be done directly with the [[Draft Wire]] tool. Some fusion operations can also be done with the [[Part Union|Part Union]] tool.


==Volby==
==Volby==


<div class="mw-translate-fuzzy">
Vybrané objekty jsou modifikovány/aktualizovány podle následujících podmínek (v daném pořadí):
Vybrané objekty jsou modifikovány/vylepšeny podle následujících podmínek (v daném pořadí):
* je-li ve výběru více než jeden objekt, jsou spojeny jejich plochy (union)
* je-li ve výběru více než jeden objekt, jsou spojeny jejich plochy (union)
* je-li vybrána pouze jedna plocha, nestane se nic
* je-li vybrána pouze jedna plocha, nestane se nic
Line 20: Line 57:
* jsou-li ve výběru pouze hrany, jsou všechny hrany spojeny do jednoho drátu (pokud možno uzavřeného)
* jsou-li ve výběru pouze hrany, jsou všechny hrany spojeny do jednoho drátu (pokud možno uzavřeného)
* není-li možná žádná z předchozích operací, je vytvořen složený objekt
* není-li možná žádná z předchozích operací, je vytvořen složený objekt
</div>


<div class="mw-translate-fuzzy">
==Skriptování==
==Skriptování==
</div>


<div class="mw-translate-fuzzy">
Nástroj Aktualizace může být použit ze skriptů Pythonu a z [[macros/cs|maker]] takto:
Nástroj Vylepšení může být použit ze skriptů Pythonu a z [[macros/cs|maker]] takto:
</div>


{{Code|code=
<syntaxhighlight>
Draft.upgrade(objects, delete=False, force=None)
upgrade_list = upgrade(objects, delete=False, force=None)
addList, deleteList = upgrade(objects, delete=False, force=None)
</syntaxhighlight>
}}


<div class="mw-translate-fuzzy">
* Aktualizuje daný objekt(y) (může to být objekt nebo seznam objektů).
* Vylepší daný objekt(y) (může to být objekt nebo seznam objektů).
* Je-li delete True, jsou staré objekty smazány.
* Je-li delete True, jsou staré objekty smazány.
* Atribut force může být využit pro určení požadovaného způsobu aktualizce. Může to být: makeCompound, closeGroupWires, makeSolid, closeWire, turnToParts, makeFusion, makeShell, makeFaces, draftify, joinFaces, makeSketchFace, makeWires
* Atribut force může být využit pro určení požadovaného způsobu vylepšení. Může to být: makeCompound, closeGroupWires, makeSolid, closeWire, turnToParts, makeFusion, makeShell, makeFaces, draftify, joinFaces, makeSketchFace, makeWires
* Vrací adresář obsahující dva seznamy, seznam nových objektů a seznam objektů ke smazání
* Vrací adresář obsahující dva seznamy, seznam nových objektů a seznam objektů ke smazání
</div>

Některé z operací, které dělá nástroj Aktualizace mohou být provedeny i nástroji [[Part Fuse]] nebo [[Draft Wire/cs|Kreslení Drát]].


Příklad:
Příklad:


{{Code|code=
<syntaxhighlight>
import Draft
import FreeCAD, Draft
mycircle = Draft.makeCircle(2)
face1 = Draft.upgrade([mycircle],True)
</syntaxhighlight>


Circle = Draft.makeCircle(1000)
<languages/>
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=False)
fused = addList1[0]

Line1 = Draft.makeLine(FreeCAD.Vector(2000, 0, 0), FreeCAD.Vector(2500, 1500, 0))
Line2 = Draft.makeLine(FreeCAD.Vector(2500, 1500, 0), FreeCAD.Vector(3000, -1000, 0))
addList2, deleteList2 = Draft.upgrade([Line1, Line2], delete=False)

simple_wire = addList2[0]
addList3, deleteList3 = Draft.upgrade(simple_wire, delete=False)

closed_wire = addList3[0]
addList4, deleteList4 = Draft.upgrade(closed_wire, delete=False)

face = addList4[0]
addList5, deleteList5 = Draft.upgrade(face, delete=False)
}}

{{Docnav
|[[Draft_Split|Split]]
|[[Draft_Downgrade|Downgrade]]
|[[Draft_Module|Draft]]
|IconL=Draft_Split.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Downgrade.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 04:34, 21 February 2020

Kreslení Vylepšení

Umístění Menu
Kreslení → Aktualizace
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
U P
Představen ve verzi
-
Viz také
Kreslení Degradace

Popis

Tento nástroj vylepší vybrané objekty jiným způsobem. Není-li vybrán žádný objekt budete vyzváni k jeho výběru.

The Upgrade tool performs things such as creating faces and fusing different elements. This tool works with 2D Draft elements. To fuse 3D solids use Part Union and related Boolean operations of the Part Workbench, and PartDesign Boolean of the PartDesign Workbench.

The counterpart to this tool is the Draft Downgrade operation.

Open wire upgraded to a closed wire, then to a face; a closed square upgraded to a face, and then fused with the previous face

Použití

  1. Vyberte jeden nebo více objektů, které chcete vylepšit
  2. Stiskněte tlačítko Kreslení Vylepšení nebo stiskněte klávesy U a potom P

The selected objects are modified or upgraded according to the following conditions, in order:

  1. If there are more than one face in the selection, the faces are merged (union).
  2. If there is only one face in the selection, nothing is done.
  3. If there is only one open wire in the selection, it gets closed, making a face.
  4. If there are only edges in the selection, all edges are joined into a wire, and the wire is closed if possible.
  5. If none of the above is possible, a compound object is created.

It is worth trying to upgrade a selection several times to see if a better shape is obtained. For example:

  1. Upgrading two Draft Lines connected at one end will result in a non-editable wire.
  2. Upgrading this element again will add a third line and close the non-editable wire.
  3. Upgrading this element again will add a face to the closed, non-editable wire.
  4. Upgrading this element again will turn it into a Draft Wire, which can be fully edited, and all its properties modified.

The resulting wire can be better manipulated than the original lines. The fusion of single lines can also be done directly with the Draft Wire tool. Some fusion operations can also be done with the Part Union tool.

Volby

Vybrané objekty jsou modifikovány/vylepšeny podle následujících podmínek (v daném pořadí):

  • je-li ve výběru více než jeden objekt, jsou spojeny jejich plochy (union)
  • je-li vybrána pouze jedna plocha, nestane se nic
  • je-li ve výběru pouze jeden otevřený drát, bude uzavřen
  • jsou-li ve výběru pouze hrany, jsou všechny hrany spojeny do jednoho drátu (pokud možno uzavřeného)
  • není-li možná žádná z předchozích operací, je vytvořen složený objekt

Skriptování

Nástroj Vylepšení může být použit ze skriptů Pythonu a z maker takto:

upgrade_list = upgrade(objects, delete=False, force=None)
addList, deleteList = upgrade(objects, delete=False, force=None)
  • Vylepší daný objekt(y) (může to být objekt nebo seznam objektů).
  • Je-li delete True, jsou staré objekty smazány.
  • Atribut force může být využit pro určení požadovaného způsobu vylepšení. Může to být: makeCompound, closeGroupWires, makeSolid, closeWire, turnToParts, makeFusion, makeShell, makeFaces, draftify, joinFaces, makeSketchFace, makeWires
  • Vrací adresář obsahující dva seznamy, seznam nových objektů a seznam objektů ke smazání

Příklad:

import FreeCAD, Draft

Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=False)
fused = addList1[0]

Line1 = Draft.makeLine(FreeCAD.Vector(2000, 0, 0), FreeCAD.Vector(2500, 1500, 0))
Line2 = Draft.makeLine(FreeCAD.Vector(2500, 1500, 0), FreeCAD.Vector(3000, -1000, 0))
addList2, deleteList2 = Draft.upgrade([Line1, Line2], delete=False)

simple_wire = addList2[0]
addList3, deleteList3 = Draft.upgrade(simple_wire, delete=False)

closed_wire = addList3[0]
addList4, deleteList4 = Draft.upgrade(closed_wire, delete=False)

face = addList4[0]
addList5, deleteList5 = Draft.upgrade(face, delete=False)